## hexen2 0.1armel-1

=== debian/changelog ===
hexen2 (0.1armel-1) unstable; urgency=low

  * Initial release

 -- CepiPerez <cepiperez@gmail.com>  Mon, 12 Apr 2010 11:48:27 -0300
