=== debian/control ===
Source: hexen2
Section: user/system
Priority: extra
Maintainer: CepiPerez <cepiperez@gmail.com>
Build-Depends: libsdl1.2-dev, debhelper (>= 5)
Standards-Version: 3.7.2

Package: hexen2
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Hexen II game port.
 Copy original PAK(s) file(s) into MyDocs/.hexen2/data1 folder to play the game.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEAAACxABrSO9dQAAAAd0
 SU1FB9oDCw0EIlYEf4sAAAgqSURBVGje1Vl7cFXFHf72dface3PNA2wolTcZ
 QjQCKdBRkMaxTMkNCsSEChSCgCCFSDLUKQpMeRVGHkkMFMS2BBGYBpRQR0CL
 WKvDY1LQAgMUUEoygBTSkJjHfZ1ztn8kl6ZtIknuJUm/v3bu7O79Pb7f7vfb
 A7QS+ZzuyGOkHwDMl6I/woz5Utwd53HaNZ9Tx7fNp63ZPI8RDDLtzEpKJ+dI
 bc0dSkvC7cAmXwAAkMtpEoHKUQrRuB/4PaMHc6S41lTkQsVsKXqt1vilfZTM
 ash66Jtm6drd8QIpHgaAdxgtTHQ5emVJ8cNwGZ/h0PlywabkMfJrAHiXEoSF
 Qhu9fsyX4sEXdG2QA/jDFs6eS7fs57vYdj+bkG6hGh6MMoMayUFWcpD3AeBZ
 WyFsNUAIGedS6tVoW33lgJp0DJBPBcyZMbb9cbpDttn4fYwi27SRR8B7mFba
 l5xe/Vhqn+YxEj7ON6ZQEMWMRBZRemaerq1pSbq/DScpZUWUrCvg7NxUQz6E
 9kKBYDM+oMS3ldMebVkfdPp1TuJ2MVq3nZLiUqDF6Qy5vBNNa3sFITXDLJUb
 pENrsvqsrXAciIlR2FYLGN2B3icY7Y72xGKpZVwG7mxndDRGDGrRmlONxqs0
 fnyd4Cqf0wtlQEKodGz5ralrzhwpEpCWhALBzhyhpHSz1BwtObenGfUsOQ38
 6G1O1SxdCywV7PsA8HkrbAiJQlwpdYPSyU9+eD463rLT+tqqTJiBV7JN+55r
 d3h8GOeQyT6gqByAn6DoMynO5nOKpPakj9upL54rRRIAvC74xhMUpzGwN2t2
 fsNxO08XXX/D2Z18wVQuIx/1jY7i6Aj0dOlsA6eL5+lamgLYG4LtnivFBgBI
 depNGj8swkgp5GzJbkZVIWfqfsiRliHGBQB4k1E2yZDTRzv1CSWAnGRoOclO
 fXhTSx6LMMYs13jFpwTWIUrUIikmhE3vhHLBvWgINkfXcsc7ZHwhowsWSXF5
 vEOPBIC9DTfqc4ZMnKVr678Gjt0C1AWCVY0z0xawUB0oMS2kOnVUEIo7lGgC
 GBulMDrFtOK6Wta5/Qrn9yrgICXui5xOHGpaWfG26lUO1KS7jOXlfrPscsBC
 p8ERAizVxNITlKijBOYaTqcBwFpOv3OIksNlgKoE1AxDOx+O/2PhduABKfCI
 aR6rJWTQUFsNrKTUPZSzOENh5wjL7hsJ4AtCLmQHrIRgoV8OmOhciIpg6zQ+
 sxTwVgGqDFClgPonoEoIUXs4SwKAjSL0+N2f0q+ssZRlH7lKyQULgAOAE1A+
 AJcoVu/WuJbi1FlWZ+L+f2BIvR66Cky9BqhywL5dn4GtDZffy6lO3eiUtgcv
 r1c19r0CTrMPU1Rdb6DPDsEmNDW3UxXx5YCJSYaWlGDZm29SerSSEE9PpYZE
 ArhC6bD+Gt911LQ9wbmdpgYa9wEDLPvpS0TF5hFz33DTElxBVQAYblquEQHL
 Ec6AhS0DRape0rxHyQwfyE/fEXRhlkUSTZAxlQSvcaC/BvR4V2MeoYs/lwYs
 1el4v5eSzEJGL+5hdOQRSmI+IGTJn4AhALBa41vOEaL+QshWBZD2F273wE8M
 OWYTZzffouQJJPQh86T4XT6nuQAw3iEdA13Gd5dI8dkBRm8t0/iwcBVxSDVw
 99ljaCKJt61D5ZScz4yJPP7R367G/cC0rriU+pXbqY/yA+lDTPvm+xp3B4BZ
 NylNHuAy+IFab+eIfh6nRZs5vbiWkciZhhywTLCLv2VkHACkOuTaVKf+eOP5
 s3Tt8wm6Jpp7rmlX3q/jdMM2Rj3B3wspGbuekQ0N1JnrduqZTa1fJMWpR12G
 s0MjP9GQ65cJptIMuR4A3qZwHwfm1r9xysk/07W0/3Y4GPFiCs9rgi3vUAfG
 OaRa2NA+jnXKUc/rWvkrGo9yO/UX3E797BhnfUPTVLHO1rWq7YKp5Ai9fd+A
 GnM2xan3AYACTth+SjKPEJI6R9dkuiEXpDTTUgY7sJNAl7c4XQEAY5w6bWtP
 3OpTaKPXDwAY65CLCZACAArIvcTY1KeUOnCbkuW9bPvkoVpvSXOt4sE6HwoM
 6f2SUuQzEsWVWgj8++PGfcdcXUwf75DXAWCKoS0q5PR010inw+3U891OfU9L
 T5dNjERso6DTDW3US1JktSULrZISWX1iMarGK28y9uNaSl58CUp7PGCN7mOp
 ybWEdFdAbw8hL8dr3Nrp8d1zv4MK/h6aUG/27FGaUF2T8RhnfTZ3izqFqrrw
 O5DPKVZU1CCpe5e4SFtV76yuOztY8OJqSo590je2/Ha1d9ojlr1tm9df2RqV
 WWLZcNkmYi2rKlJhVWKdj39hWiVhrYGN8bHINm28ATyqEZLhffABusshJ5rK
 TipT+MT3jefAfo9vxQp/4EZbCrH6TjXeq/OVxFvW5GS/2bqPLi2duGlg7IDy
 GrPYMu2nbzmkEVdV98cPPb6lCQ7Zr8zj9xTXeFeGKsfTLPt/xiFnIHiSmGWV
 o6oJ2fLX5MFlfW9UZHwtxYKHTfu6HbC/Kq7xrgxVmDU2uKXGt3xzXZueLcWO
  BgG3IJ+RVACYr2tz5newDms2A424TFzRzpFlEfqe3Yz+0iDkdralDkTHRGGT
 17+V6FrHCbJ71cDPpeh6ndJMZWglz3xT98TfKXmmnNBxeT7/P/J5/ZfFjsa3
 OpAlRZcaSp2JgcDEMs7SbYUZBb7Aefw/Ybau5Uwx5BW3Qw7uUP3e2gwkRxj8
 Icv6hVDIuMbptMM13jOdMcDNFrGhlFFNSLcoZacHjQ/lHf9+4V9T8NtYyFwb
 8AAAAABJRU5ErkJggg
