## hexen2 0.2armel-1

=== debian/changelog ===
hexen2 (0.2armel-1) fremantle; urgency=low

  * Some fixes

 -- CepiPerez <cepiperez@gmail.com>  Mon, 12 Apr 2010 16:30:14 -0300
