## hexen2 0.2armel-2

=== debian/changelog ===
hexen2 (0.2armel-2) fremantle; urgency=low

  * International keyboard layout support

 -- CepiPerez <cepiperez@gmail.com>  Mon, 12 Apr 2010 16:30:14 -0300
