## hexen2 0.2armel-3

=== debian/changelog ===
hexen2 (0.2armel-3) fremantle; urgency=low

  * International keyboard layout support

 -- CepiPerez <cepiperez@gmail.com>  Mon, 15 Apr 2010 12:30:14 -0300
