=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: hexen2
-Section: user/system
+Section: user/games
 Priority: extra
 Maintainer: CepiPerez <cepiperez@gmail.com>
 Build-Depends: libsdl1.2-dev, debhelper (>= 5)
@@ -10,6 +10,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Hexen II game port.
  Copy original PAK(s) file(s) into MyDocs/.hexen2/data1 folder to play the game.
+XSBC-Bugtracker: mailto:cepiperez@gmail.com
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEAAACxABrSO9dQAAAAd0
